## org.apache.maven.embedder
Class AbstractMavenEmbedderLogger

    java.lang.Object
      org.apache.maven.embedder.AbstractMavenEmbedderLogger

All Implemented Interfaces:
  MavenEmbedderLogger

Direct Known Subclasses:
  MavenEmbedderConsoleLogger

    public abstract class AbstractMavenEmbedderLogger

extends java.lang.Object
implements MavenEmbedderLogger

Version:
  $Id: AbstractMavenEmbedderLogger.java 292888 2005-10-01 01:17:36Z jvanzyl $
Author:
  Trygve Laugstøl

Field Summary

Fields inherited from interface org.apache.maven.embedder.MavenEmbedderLogger
`LEVEL_DEBUG, LEVEL_DISABLED, LEVEL_ERROR, LEVEL_FATAL, LEVEL_INFO, LEVEL_WARN`

Constructor Summary
`AbstractMavenEmbedderLogger()`

Method Summary
`void` `debug(java.lang.String message)`
`void` `error(java.lang.String message)`
`void` `fatalError(java.lang.String message)`
`java.lang.String` `getName()`
`int` `getThreshold()`
`void` `info(java.lang.String message)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalErrorEnabled()`
`boolean` `isInfoEnabled()`
`protected boolean` `isValidThreshold(int threshold)`
`boolean` `isWarnEnabled()`
`void` `setThreshold(int threshold)`
`void` `warn(java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.maven.embedder.MavenEmbedderLogger
`debug, error, fatalError, info, warn`

Constructor Detail

### AbstractMavenEmbedderLogger

    public AbstractMavenEmbedderLogger()

Method Detail

### getThreshold

    public int getThreshold()

  Specified by:
    `getThreshold` in interface `MavenEmbedderLogger`

### setThreshold

    public void setThreshold(int threshold)

  Specified by:
    `setThreshold` in interface `MavenEmbedderLogger`

### getName

    public java.lang.String getName()

### debug

    public void debug(java.lang.String message)

  Specified by:
    `debug` in interface `MavenEmbedderLogger`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `MavenEmbedderLogger`

### info

    public void info(java.lang.String message)

  Specified by:
    `info` in interface `MavenEmbedderLogger`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `MavenEmbedderLogger`

### warn

    public void warn(java.lang.String message)

  Specified by:
    `warn` in interface `MavenEmbedderLogger`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `MavenEmbedderLogger`

### error

    public void error(java.lang.String message)

  Specified by:
    `error` in interface `MavenEmbedderLogger`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `MavenEmbedderLogger`

### fatalError

    public void fatalError(java.lang.String message)

  Specified by:
    `fatalError` in interface `MavenEmbedderLogger`

### isFatalErrorEnabled

    public boolean isFatalErrorEnabled()

  Specified by:
    `isFatalErrorEnabled` in interface `MavenEmbedderLogger`

### isValidThreshold

    protected boolean isValidThreshold(int threshold)

Copyright © 2011. All Rights Reserved.